NCVVector< T > Class Template Reference

NCVVector (1D) More...

`#include </build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/people/src/cuda/nvidia/NCV.hpp>`

Inheritance diagram for NCVVector< T >:

## Public Member Functions

| NCVVector ()
virtual | ~NCVVector ()
void | clear ()
NCVStatus | copySolid (NCVVector< T > &dst, cudaStream_t cuStream, size_t howMuch=0) const
T * | ptr () const
size_t | length () const
NCVMemoryType | memType () const

## Protected Attributes

T * | _ptr
size_t | _length
NCVMemoryType | _memtype

## Detailed Description

### template<class T>
class NCVVector< T >

NCVVector (1D)

Definition at line 523 of file NCV.hpp.

## Constructor & Destructor Documentation

## NCVVector()

template<class T>

NCVVector< T >::NCVVector | ( |  | ) |

inline

Definition at line 529 of file NCV.hpp.

## ~NCVVector()

template<class T>

virtual NCVVector< T >::~NCVVector | ( |  | ) |

inline virtual

Definition at line 534 of file NCV.hpp.

## Member Function Documentation

## clear()

template<class T>

void NCVVector< T >::clear | ( |  | ) |

inline

Definition at line 536 of file NCV.hpp.

## copySolid()

template<class T>

NCVStatus NCVVector< T >::copySolid | ( | NCVVector< T > & | dst,
|  | cudaStream_t | cuStream,
|  | size_t | howMuch = `0`
| ) |  | const

inline

Definition at line 543 of file NCV.hpp.

## length()

template<class T>

size_t NCVVector< T >::length | ( |  | ) | const

inline

Definition at line 571 of file NCV.hpp.

## memType()

template<class T>

NCVMemoryType NCVVector< T >::memType | ( | void |  | ) | const

inline

Definition at line 572 of file NCV.hpp.

## ptr()

template<class T>

T* NCVVector< T >::ptr | ( |  | ) | const

inline

Definition at line 570 of file NCV.hpp.

## Member Data Documentation

## _length

template<class T>

size_t NCVVector< T >::_length

protected

Definition at line 577 of file NCV.hpp.

Referenced by NCVVector< HaarClassifierNode128 >::copySolid().

## _memtype

template<class T>

NCVMemoryType NCVVector< T >::_memtype

protected

Definition at line 578 of file NCV.hpp.

Referenced by NCVVector< HaarClassifierNode128 >::copySolid().

## _ptr

template<class T>

T* NCVVector< T >::_ptr

protected

Definition at line 576 of file NCV.hpp.

Referenced by NCVVector< HaarClassifierNode128 >::copySolid().

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/people/src/cuda/nvidia/NCV.hpp